### A free/open-source library for quantitative finance

Public Types | Public Member Functions
CLGaussianRng< RNG > Class Template Reference

Gaussian random number generator. More...

`#include <ql/math/randomnumbers/centrallimitgaussianrng.hpp>`

List of all members.

## Public Types

typedef Sample< Real > | sample_type
typedef RNG | urng_type

## Public Member Functions

| CLGaussianRng (const RNG &uniformGenerator)
sample_type | next () const
| returns a sample from a Gaussian distribution

## Detailed Description

### template<class RNG>
class QuantLib::CLGaussianRng< RNG >

Gaussian random number generator.

It uses the well-known fact that the sum of 12 uniform deviate in (-.5,.5) is approximately a Gaussian deviate with average 0 and standard deviation 1. The uniform deviate is supplied by RNG.

Class RNG must implement the following interface:

                RNG::sample_type RNG::next() const;